Bug 6274 - Permanent storage of user-uploaded files
Summary: Permanent storage of user-uploaded files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 6874 8130
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 22:51 UTC by Ian Walls
Modified: 2017-06-14 22:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-04-27 22:51:13 UTC
C4::UploadedFile has a FIXME to allow for the permanent storage up user-uploaded files.  Currently, all files are stored in /tmp, which is wiped on reboot on many (all?) Linux distros.  Enabling permanent storage of user-uploaded files would allow for non-database storage of all variety of media.

This could be as simple as adding a flag to the new() routine of the UploadedFile object to indicate permanent or temporary.  That, along with a directory defined in koha-conf.xml, may be sufficient.
Comment 1 Katrin Fischer 2012-07-11 04:24:56 UTC
There are different mechanisms now to upload files to Koha, features I can think of are:

- local cover images (implemented)
- patron images (implemented)
- uploading files for marc records (bug 6874)
- uploading PDF files for patron records (bug 8130)


Can this bug be closed? Do we we need a unified way to upload files to Koha as there might be more use cases in the future?
Comment 2 Marcel de Rooy 2016-06-08 13:56:12 UTC
Koha::Upload now allows you to store an upload permanently within a defined category.